# Membership The Membership API provides all the capabilities for managing your membership. Although it is most commonly used to look up the membership information for a single contact or organization, it can also be used to approve, modify, or drop members. Like most of the other Rhythm apps, the Membership API includes endpoints for Query Definitions. These endpoints are commonly used to retrieve saved queries, which can then be executed using the Query endpoints of the System API. Version: v1-2025-04-18 ## Servers ``` https://membership.api.rhythmsoftware.com ``` ## Security ### knox-authorizer Type: http Scheme: bearer Bearer Format: JWT ## Download OpenAPI description [Membership](https://docs.api.rhythmsoftware.com/_bundle/apis/membership/membership-v1.yaml) ## Add On Products Add On Products ### Gets all of the add on products in the system. - [GET /addOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/listaddonproducts.md): This method will scan all add on products and and return them to the caller. ### Creates a new add on product record that does not already exist. - [POST /addOnProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/createaddonproduct.md): This method will auto-generate an ID and create a new add on product. If an ID is specified for the add on product, an error will be thrown. ### Returns a list of records with the specified add_on_id - [GET /addOnProducts/{tenantId}/addOn/{add_on_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/listproductsbyaddonid.md): Returns a list of records with the specified add_on_id ### Execute Batch Operations - [POST /addOnProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a add on product from the system by its ID. - [DELETE /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/deleteaddonproduct.md): This method will delete a add on product with the specified ID. ### Returns a add on product from the system by its ID. - [GET /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/getaddonproduct.md): This method will look up a add on product by the specified ID and return it back. ### Partially updates a add on product with the specified ID. - [PATCH /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/patchaddonproduct.md): This method will patch an existing add on product with the specified ID, using the HTTP PATCH specification. ### Updates a add on product with the specified ID. - [PUT /addOnProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-products/updateaddonproduct.md): This method will update an existing add on product with the specified ID. ## Add On Types Add On Types ### Gets all of the add on types in the system. - [GET /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/listaddontypes.md): This method will scan all add on types and and return them to the caller. ### Creates a new add on type record that does not already exist. - [POST /addOnTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/createaddontype.md): This method will auto-generate an ID and create a new add on type. If an ID is specified for the add on type, an error will be thrown. ### Execute Batch Operations - [POST /addOnTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a add on type from the system by its ID. - [DELETE /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/deleteaddontype.md): This method will delete a add on type with the specified ID. ### Returns a add on type from the system by its ID. - [GET /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/getaddontype.md): This method will look up a add on type by the specified ID and return it back. ### Partially updates a add on type with the specified ID. - [PATCH /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/patchaddontype.md): This method will patch an existing add on type with the specified ID, using the HTTP PATCH specification. ### Updates a add on type with the specified ID. - [PUT /addOnTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-on-types/updateaddontype.md): This method will update an existing add on type with the specified ID. ## Add Ons Add Ons ### Gets all of the add ons in the system. - [GET /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listaddons.md): This method will scan all add ons and and return them to the caller. ### Creates a new add on record that does not already exist. - [POST /addOns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/createaddon.md): This method will auto-generate an ID and create a new add on. If an ID is specified for the add on, an error will be thrown. ### Execute Batch Operations - [POST /addOns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### List all applicable add ons for a contact - [GET /addOns/{tenantId}/portal/getApplicable/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/listapplicableaddons.md): List all applicable add ons for a contact ### Returns a add on from the system by its ID. - [DELETE /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/deleteaddon.md): This method will delete a add on with the specified ID. ### Returns a add on from the system by its ID. - [GET /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/getaddon.md): This method will look up a add on by the specified ID and return it back. ### Partially updates a add on with the specified ID. - [PATCH /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/patchaddon.md): This method will patch an existing add on with the specified ID, using the HTTP PATCH specification. ### Updates a add on with the specified ID. - [PUT /addOns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/add-ons/updateaddon.md): This method will update an existing add on with the specified ID. ## App Reference Types App Reference Types ### Gets all of the app reference types in the system. - [GET /appReferenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/listappreferencetypes.md): This method will scan all app reference types and and return them to the caller. ### Creates a new app reference type record that does not already exist. - [POST /appReferenceTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/createappreferencetype.md): This method will auto-generate an ID and create a new app reference type. If an ID is specified for the app reference type, an error will be thrown. ### Returns a app reference type from the system by its ID. - [DELETE /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/deleteappreferencetype.md): This method will delete a app reference type with the specified ID. ### Returns a app reference type from the system by its ID. - [GET /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/getappreferencetype.md): This method will look up a app reference type by the specified ID and return it back. ### Partially updates a app reference type with the specified ID. - [PATCH /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/patchappreferencetype.md): This method will patch an existing app reference type with the specified ID, using the HTTP PATCH specification. ### Updates a app reference type with the specified ID. - [PUT /appReferenceTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/app-reference-types/updateappreferencetype.md): This method will update an existing app reference type with the specified ID. ## Application Groups Application Groups ### Creates a new application group record that does not already exist. - [POST /applicationGroups/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/createapplicationgroup.md): This method will auto-generate an ID and create a new application group. If an ID is specified for the application group, an error will be thrown. ### Execute Batch Operations - [POST /applicationGroups/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /applicationGroups/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/listgroupsbycontactid.md): Returns a list of records with the specified contact_id ### Searches for application groups using predefined parameters - [POST /applicationGroups/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/searchforapplicationgroups.md): Searches for application groups using predefined parameters ### Returns a application group from the system by its ID. - [DELETE /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/deleteapplicationgroup.md): This method will delete a application group with the specified ID. ### Returns a application group from the system by its ID. - [GET /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/getapplicationgroup.md): This method will look up a application group by the specified ID and return it back. ### Partially updates a application group with the specified ID. - [PATCH /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/patchapplicationgroup.md): This method will patch an existing application group with the specified ID, using the HTTP PATCH specification. ### Updates a application group with the specified ID. - [PUT /applicationGroups/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-groups/updateapplicationgroup.md): This method will update an existing application group with the specified ID. ## Application Processes Application Processes ### Gets all of the application processes in the system. - [GET /applicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/listapplicationprocesses.md): This method will scan all application processes and and return them to the caller. ### Creates a new application process record that does not already exist. - [POST /applicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/createapplicationprocess.md): This method will auto-generate an ID and create a new application process. If an ID is specified for the application process, an error will be thrown. ### Execute Batch Operations - [POST /applicationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets all of the processes a contact/org is eligible to use - [GET /applicationProcesses/{tenantId}/eligible/{customerType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/geteligibleprocesses.md) ### Returns a application process from the system by its ID. - [DELETE /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/deleteapplicationprocess.md): This method will delete a application process with the specified ID. ### Returns a application process from the system by its ID. - [GET /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/getapplicationprocess.md): This method will look up a application process by the specified ID and return it back. ### Partially updates a application process with the specified ID. - [PATCH /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/patchapplicationprocess.md): This method will patch an existing application process with the specified ID, using the HTTP PATCH specification. ### Updates a application process with the specified ID. - [PUT /applicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-processes/updateapplicationprocess.md): This method will update an existing application process with the specified ID. ## Application Status Reasons Application Status Reasons ### Gets all of the application status reasons in the system. - [GET /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/listapplicationstatusreasons.md): This method will scan all application status reasons and and return them to the caller. ### Creates a new application status reason record that does not already exist. - [POST /applicationStatusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/createapplicationstatusreason.md): This method will auto-generate an ID and create a new application status reason. If an ID is specified for the application status reason, an error will be thrown. ### Execute Batch Operations - [POST /applicationStatusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a application status reason from the system by its ID. - [DELETE /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/deleteapplicationstatusreason.md): This method will delete a application status reason with the specified ID. ### Returns a application status reason from the system by its ID. - [GET /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/getapplicationstatusreason.md): This method will look up a application status reason by the specified ID and return it back. ### Partially updates a application status reason with the specified ID. - [PATCH /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/patchapplicationstatusreason.md): This method will patch an existing application status reason with the specified ID, using the HTTP PATCH specification. ### Updates a application status reason with the specified ID. - [PUT /applicationStatusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/application-status-reasons/updateapplicationstatusreason.md): This method will update an existing application status reason with the specified ID. ## Applications Applications ### Creates a new application record that does not already exist. - [POST /applications/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/createapplication.md): This method will auto-generate an ID and create a new application. If an ID is specified for the application, an error will be thrown. ### Returns a list of records with the specified application_group_id - [GET /applications/{tenantId}/applicationGroup/{application_group_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyapplicationgroupid.md): Returns a list of records with the specified application_group_id ### Execute Batch Operations - [POST /applications/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified contact_id - [GET /applications/{tenantId}/contact/{contact_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbycontactid.md): Returns a list of records with the specified contact_id ### Generates an application for a contact or organization - [POST /applications/{tenantId}/generateApplication/{processId}/{ownerType}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateapplications.md) ### Generates an group order from a membership application - [POST /applications/{tenantId}/generateGroupOrder/{groupId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generategrouporder.md): This method will examine a membership application and generate an appropriate order ### Generates an order from a membership application - [POST /applications/{tenantId}/generateOrder](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/generateorder.md): This method will examine a membership application and generate an appropriate order ### Returns a list of records with the specified organization_id - [GET /applications/{tenantId}/organization/{organization_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/listapplicationsbyorganizationid.md): Returns a list of records with the specified organization_id ### Searches for applications using predefined parameters - [POST /applications/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/searchforapplications.md): Searches for applications using predefined parameters ### Returns a application from the system by its ID. - [DELETE /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/deleteapplication.md): This method will delete a application with the specified ID. ### Returns a application from the system by its ID. - [GET /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/getapplication.md): This method will look up a application by the specified ID and return it back. ### Partially updates a application with the specified ID. - [PATCH /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/patchapplication.md): This method will patch an existing application with the specified ID, using the HTTP PATCH specification. ### Updates a application with the specified ID. - [PUT /applications/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/applications/updateapplication.md): This method will update an existing application with the specified ID. ## Ballots Ballots ### Creates a new ballot record that does not already exist. - [POST /ballots/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/createballot.md): This method will auto-generate an ID and create a new ballot. If an ID is specified for the ballot, an error will be thrown. ### Execute Batch Operations - [POST /ballots/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a ballot from the system by its ID. - [DELETE /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/deleteballot.md): This method will delete a ballot with the specified ID. ### Returns a ballot from the system by its ID. - [GET /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/getballot.md): This method will look up a ballot by the specified ID and return it back. ### Partially updates a ballot with the specified ID. - [PATCH /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/patchballot.md): This method will patch an existing ballot with the specified ID, using the HTTP PATCH specification. ### Updates a ballot with the specified ID. - [PUT /ballots/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/ballots/updateballot.md): This method will update an existing ballot with the specified ID. ## Billing Notices Billing Notices ### Gets all of the billing notices in the system. - [GET /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/listbillingnotices.md): This method will scan all billing notices and and return them to the caller. ### Creates a new billing notice record that does not already exist. - [POST /billingNotices/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/createbillingnotice.md): This method will auto-generate an ID and create a new billing notice. If an ID is specified for the billing notice, an error will be thrown. ### Execute Batch Operations - [POST /billingNotices/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Sends out a preview of the CRC notification email - [POST /billingNotices/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/previewemail.md): Sends out a preview of the CRC notification email ### Returns a billing notice from the system by its ID. - [DELETE /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/deletebillingnotice.md): This method will delete a billing notice with the specified ID. ### Returns a billing notice from the system by its ID. - [GET /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/getbillingnotice.md): This method will look up a billing notice by the specified ID and return it back. ### Partially updates a billing notice with the specified ID. - [PATCH /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/patchbillingnotice.md): This method will patch an existing billing notice with the specified ID, using the HTTP PATCH specification. ### Updates a billing notice with the specified ID. - [PUT /billingNotices/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-notices/updatebillingnotice.md): This method will update an existing billing notice with the specified ID. ## Billing Run Actions Billing Run Actions ### Execute Batch Operations - [POST /billingRunActions/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified billing_run_id - [GET /billingRunActions/{tenantId}/billingRun/{billing_run_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/listactionsbybillingrunid.md): Returns a list of records with the specified billing_run_id ### Returns a list of records with the specified membership_id - [GET /billingRunActions/{tenantId}/membership/{membership_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/listactionsbymembershipid.md): Returns a list of records with the specified membership_id ### Returns a billing run action from the system by its ID. - [GET /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/getbillingrunaction.md): This method will look up a billing run action by the specified ID and return it back. ### Partially updates a billing run action with the specified ID. - [PATCH /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/patchbillingrunaction.md): This method will patch an existing billing run action with the specified ID, using the HTTP PATCH specification. ### Updates a billing run action with the specified ID. - [PUT /billingRunActions/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-run-actions/updatebillingrunaction.md): This method will update an existing billing run action with the specified ID. ## Billing Runs Billing Runs ### Creates a new billing run record that does not already exist. - [POST /billingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/createbillingrun.md): This method will auto-generate an ID and create a new billing run. If an ID is specified for the billing run, an error will be thrown. ### Execute Batch Operations - [POST /billingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Generates a billing run from a template - [GET /billingRuns/{tenantId}/fromTemplate/{templateId}/{referenceDate}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/generatebillingrunfromtemplate.md) ### Returns a list of records with the specified recurring_billing_run_id - [GET /billingRuns/{tenantId}/recurringBillingRun/{recurring_billing_run_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/listrunsbyrecurringbillingrunid.md): Returns a list of records with the specified recurring_billing_run_id ### Refreshes a billing run - [POST /billingRuns/{tenantId}/refresh/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/refreshbillingrun.md) ### Searches for billing runs using predefined parameters - [POST /billingRuns/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/searchforbillingruns.md): Searches for billing runs using predefined parameters ### Returns a billing run from the system by its ID. - [DELETE /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/deletebillingrun.md): This method will delete a billing run with the specified ID. ### Returns a billing run from the system by its ID. - [GET /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/getbillingrun.md): This method will look up a billing run by the specified ID and return it back. ### Partially updates a billing run with the specified ID. - [PATCH /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/patchbillingrun.md): This method will patch an existing billing run with the specified ID, using the HTTP PATCH specification. ### Updates a billing run with the specified ID. - [PUT /billingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-runs/updatebillingrun.md): This method will update an existing billing run with the specified ID. ## Billing Templates Billing Templates ### Gets all of the billing templates in the system. - [GET /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/listbillingtemplates.md): This method will scan all billing templates and and return them to the caller. ### Creates a new billing template record that does not already exist. - [POST /billingTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/createbillingtemplate.md): This method will auto-generate an ID and create a new billing template. If an ID is specified for the billing template, an error will be thrown. ### Execute Batch Operations - [POST /billingTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a billing template from the system by its ID. - [DELETE /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/deletebillingtemplate.md): This method will delete a billing template with the specified ID. ### Returns a billing template from the system by its ID. - [GET /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/getbillingtemplate.md): This method will look up a billing template by the specified ID and return it back. ### Partially updates a billing template with the specified ID. - [PATCH /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/patchbillingtemplate.md): This method will patch an existing billing template with the specified ID, using the HTTP PATCH specification. ### Updates a billing template with the specified ID. - [PUT /billingTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/billing-templates/updatebillingtemplate.md): This method will update an existing billing template with the specified ID. ## Change Fees Change Fees ### Gets all of the change fees in the system. - [GET /changeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/listchangefees.md): This method will scan all change fees and and return them to the caller. ### Creates a new change fee record that does not already exist. - [POST /changeFees/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/createchangefee.md): This method will auto-generate an ID and create a new change fee. If an ID is specified for the change fee, an error will be thrown. ### Execute Batch Operations - [POST /changeFees/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a change fee from the system by its ID. - [DELETE /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/deletechangefee.md): This method will delete a change fee with the specified ID. ### Returns a change fee from the system by its ID. - [GET /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/getchangefee.md): This method will look up a change fee by the specified ID and return it back. ### Partially updates a change fee with the specified ID. - [PATCH /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/patchchangefee.md): This method will patch an existing change fee with the specified ID, using the HTTP PATCH specification. ### Updates a change fee with the specified ID. - [PUT /changeFees/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/change-fees/updatechangefee.md): This method will update an existing change fee with the specified ID. ## Chapter Dues Products Chapter Dues Products ### Gets all of the chapter dues products in the system. - [GET /chapterDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/listchapterduesproducts.md): This method will scan all chapter dues products and and return them to the caller. ### Creates a new chapter dues product record that does not already exist. - [POST /chapterDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/createchapterduesproduct.md): This method will auto-generate an ID and create a new chapter dues product. If an ID is specified for the chapter dues product, an error will be thrown. ### Execute Batch Operations - [POST /chapterDuesProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified chapter_id - [GET /chapterDuesProducts/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/listproductsbychapterid.md): Returns a list of records with the specified chapter_id ### Returns a chapter dues product from the system by its ID. - [DELETE /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/deletechapterduesproduct.md): This method will delete a chapter dues product with the specified ID. ### Returns a chapter dues product from the system by its ID. - [GET /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/getchapterduesproduct.md): This method will look up a chapter dues product by the specified ID and return it back. ### Partially updates a chapter dues product with the specified ID. - [PATCH /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/patchchapterduesproduct.md): This method will patch an existing chapter dues product with the specified ID, using the HTTP PATCH specification. ### Updates a chapter dues product with the specified ID. - [PUT /chapterDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-dues-products/updatechapterduesproduct.md): This method will update an existing chapter dues product with the specified ID. ## Chapter Types Chapter Types ### Gets all of the chapter types in the system. - [GET /chapterTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/listchaptertypes.md): This method will scan all chapter types and and return them to the caller. ### Creates a new chapter type record that does not already exist. - [POST /chapterTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/createchaptertype.md): This method will auto-generate an ID and create a new chapter type. If an ID is specified for the chapter type, an error will be thrown. ### Execute Batch Operations - [POST /chapterTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a chapter type from the system by its ID. - [DELETE /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/deletechaptertype.md): This method will delete a chapter type with the specified ID. ### Returns a chapter type from the system by its ID. - [GET /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/getchaptertype.md): This method will look up a chapter type by the specified ID and return it back. ### Partially updates a chapter type with the specified ID. - [PATCH /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/patchchaptertype.md): This method will patch an existing chapter type with the specified ID, using the HTTP PATCH specification. ### Updates a chapter type with the specified ID. - [PUT /chapterTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapter-types/updatechaptertype.md): This method will update an existing chapter type with the specified ID. ## Chapters Chapters ### Gets all of the chapters in the system. - [GET /chapters/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/listchapters.md): This method will scan all chapters and and return them to the caller. ### Creates a new chapter record that does not already exist. - [POST /chapters/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/createchapter.md): This method will auto-generate an ID and create a new chapter. If an ID is specified for the chapter, an error will be thrown. ### Execute Batch Operations - [POST /chapters/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Change chapter committee terms - [PATCH /chapters/{tenantId}/committee/{chapterId}/{committeeId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/patchchaptercommittee.md): Allows for chapter administrators to change committee terms ### Create a chapter committee membership - [POST /chapters/{tenantId}/committeeMembership/{chapterId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/createchaptercommitteemembership.md): Add a membership to a chapter committee ### Delete a chapter committee membership - [DELETE /chapters/{tenantId}/committeeMembership/{chapterId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/deletechaptercommitteemembership.md): Changes a chapter committee membership ### Update a chapter committee membership - [PUT /chapters/{tenantId}/committeeMembership/{chapterId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/updatechaptercommitteemembership.md): Changes a chapter committee membership ### Creates a new contact on behalf of a chapter - [POST /chapters/{tenantId}/contact/{chapterId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/createchaptermembercontact.md): Allows for a portal user to update the contact info of a chapter member ### Get chapter member contact info - [GET /chapters/{tenantId}/contact/{chapterId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/getchaptermembercontact.md): Allows for a portal user to get the contact info of a chapter member ### Update chapter member contact info - [PUT /chapters/{tenantId}/contact/{chapterId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/updatechaptermembercontact.md): Allows for a portal user to update the contact info of a chapter member ### Generates an application for a contact or organization - [POST /chapters/{tenantId}/generateApplication/{chapterId}/{processId}/{ownerType}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/generatechaptermembershipapplication.md) ### Generates an order from a membership application - [POST /chapters/{tenantId}/generateOrder/{chapterId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/generatechaptermembershiporder.md): This method will examine a membership application and generate an appropriate order ### Update chapter member membership info - [PUT /chapters/{tenantId}/membership/{chapterId}/{membershipId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/updatechaptermembermembership.md): Allows for a portal user to update the membership info of a chapter member ### Returns a list of chapters for a given membership package - [GET /chapters/{tenantId}/portal/describeChapters/{membershipPackageId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/describechaptersformembershippackage.md): Returns a list of chapters for a given membership package ### Returns a list of chapters for a given membership package - [GET /chapters/{tenantId}/portal/describeChapters/{membershipPackageId}/{memberType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/describechaptersformembershippackageandmember.md): Returns a list of chapters for a given membership package ### Searches for the nearest chapters to the latitude and longitude supplied - [GET /chapters/{tenantId}/portal/findNearest/{latitude}/{longitude}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/findnearestchapter.md): Returns a list of chapters for a given membership package ### Get eligible application processes - [GET /chapters/{tenantId}/portal/getEligibleAppProcesses/{chapterId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/geteligibleappprocesses.md) ### Get portal permissions - [GET /chapters/{tenantId}/portalPermissions/{chapterId}/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/getportalpermissions.md): Determines the permissions available in the portal for a portal user. ### Runs a saved query on behalf of a chapter - [POST /chapters/{tenantId}/query/{chapterId}/{savedQueryId}/{outputFormat}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/runchapterquery.md) ### View chapter roster - [GET /chapters/{tenantId}/roster/{chapterId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/viewchapterroster.md): Allows for a portal user to view the roster ### Searches for chapters using predefined parameters - [POST /chapters/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/searchforchapters.md): Searches for chapters using predefined parameters ### Returns a chapter from the system by its ID. - [DELETE /chapters/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/deletechapter.md): This method will delete a chapter with the specified ID. ### Returns a chapter from the system by its ID. - [GET /chapters/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/getchapter.md): This method will look up a chapter by the specified ID and return it back. ### Partially updates a chapter with the specified ID. - [PATCH /chapters/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/patchchapter.md): This method will patch an existing chapter with the specified ID, using the HTTP PATCH specification. ### Updates a chapter with the specified ID. - [PUT /chapters/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/chapters/updatechapter.md): This method will update an existing chapter with the specified ID. ## Coupons Coupons ### Gets all of the coupons in the system. - [GET /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/listcoupons.md): This method will scan all coupons and and return them to the caller. ### Creates a new coupon record that does not already exist. - [POST /coupons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/createcoupon.md): This method will auto-generate an ID and create a new coupon. If an ID is specified for the coupon, an error will be thrown. ### Execute Batch Operations - [POST /coupons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a coupon from the system by its ID. - [DELETE /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/deletecoupon.md): This method will delete a coupon with the specified ID. ### Returns a coupon from the system by its ID. - [GET /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/getcoupon.md): This method will look up a coupon by the specified ID and return it back. ### Partially updates a coupon with the specified ID. - [PATCH /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/patchcoupon.md): This method will patch an existing coupon with the specified ID, using the HTTP PATCH specification. ### Updates a coupon with the specified ID. - [PUT /coupons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/coupons/updatecoupon.md): This method will update an existing coupon with the specified ID. ## Directories Directories ### Gets all of the directories in the system. - [GET /directories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/listdirectories.md): This method will scan all directories and and return them to the caller. ### Creates a new directory record that does not already exist. - [POST /directories/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/createdirectory.md): This method will auto-generate an ID and create a new directory. If an ID is specified for the directory, an error will be thrown. ### Execute Batch Operations - [POST /directories/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets an entry in the directory - [GET /directories/{tenantId}/public/entry/{id}/{entryId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getdirectoryentry.md) ### Searches the directory - [POST /directories/{tenantId}/public/search/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/searchpublicdirectory.md) ### Sends a message to an entry in the directory - [POST /directories/{tenantId}/public/sendMessage/{directoryId}/{entryId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/senddirectorymessage.md) ### Returns a directory from the system by its ID. - [GET /directories/{tenantId}/public/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getpublicdirectory.md): This method will look up a directory by the specified ID and return it back. ### Searches the directory - [POST /directories/{tenantId}/search/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/searchdirectory.md) ### Returns a directory from the system by its ID. - [DELETE /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/deletedirectory.md): This method will delete a directory with the specified ID. ### Returns a directory from the system by its ID. - [GET /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/getdirectory.md): This method will look up a directory by the specified ID and return it back. ### Partially updates a directory with the specified ID. - [PATCH /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/patchdirectory.md): This method will patch an existing directory with the specified ID, using the HTTP PATCH specification. ### Updates a directory with the specified ID. - [PUT /directories/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/directories/updatedirectory.md): This method will update an existing directory with the specified ID. ## Elections Elections ### Creates a new election record that does not already exist. - [POST /elections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/createelection.md): This method will auto-generate an ID and create a new election. If an ID is specified for the election, an error will be thrown. ### Returns a list of records with the specified chapter_id - [GET /elections/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/listelectionsbychapterid.md): Returns a list of records with the specified chapter_id ### Returns a list of records with the specified committee_id - [GET /elections/{tenantId}/committee/{committee_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/listelectionsbycommitteeid.md): Returns a list of records with the specified committee_id ### Returns a list of records with the specified section_id - [GET /elections/{tenantId}/section/{section_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/listelectionsbysectionid.md): Returns a list of records with the specified section_id ### Returns a election from the system by its ID. - [DELETE /elections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/deleteelection.md): This method will delete a election with the specified ID. ### Returns a election from the system by its ID. - [GET /elections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/getelection.md): This method will look up a election by the specified ID and return it back. ### Partially updates a election with the specified ID. - [PATCH /elections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/patchelection.md): This method will patch an existing election with the specified ID, using the HTTP PATCH specification. ### Updates a election with the specified ID. - [PUT /elections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/elections/updateelection.md): This method will update an existing election with the specified ID. ## Group Application Processes Group Application Processes ### Gets all of the group application processes in the system. - [GET /groupApplicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/listgroupapplicationprocesses.md): This method will scan all group application processes and and return them to the caller. ### Creates a new group application process record that does not already exist. - [POST /groupApplicationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/creategroupapplicationprocess.md): This method will auto-generate an ID and create a new group application process. If an ID is specified for the group application process, an error will be thrown. ### Execute Batch Operations - [POST /groupApplicationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Gets all of the processes a contact is eligible to use - [GET /groupApplicationProcesses/{tenantId}/eligible/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/geteligibleprocesses.md) ### Returns a group application process from the system by its ID. - [DELETE /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/deletegroupapplicationprocess.md): This method will delete a group application process with the specified ID. ### Returns a group application process from the system by its ID. - [GET /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/getgroupapplicationprocess.md): This method will look up a group application process by the specified ID and return it back. ### Partially updates a group application process with the specified ID. - [PATCH /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/patchgroupapplicationprocess.md): This method will patch an existing group application process with the specified ID, using the HTTP PATCH specification. ### Updates a group application process with the specified ID. - [PUT /groupApplicationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/group-application-processes/updategroupapplicationprocess.md): This method will update an existing group application process with the specified ID. ## Id Card Templates Id Card Templates ### Gets all of the id card templates in the system. - [GET /idCardTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/listidcardtemplates.md): This method will scan all id card templates and and return them to the caller. ### Creates a new id card template record that does not already exist. - [POST /idCardTemplates/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/createidcardtemplate.md): This method will auto-generate an ID and create a new id card template. If an ID is specified for the id card template, an error will be thrown. ### Execute Batch Operations - [POST /idCardTemplates/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a id card template from the system by its ID. - [DELETE /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/deleteidcardtemplate.md): This method will delete a id card template with the specified ID. ### Returns a id card template from the system by its ID. - [GET /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/getidcardtemplate.md): This method will look up a id card template by the specified ID and return it back. ### Partially updates a id card template with the specified ID. - [PATCH /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/patchidcardtemplate.md): This method will patch an existing id card template with the specified ID, using the HTTP PATCH specification. ### Updates a id card template with the specified ID. - [PUT /idCardTemplates/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/id-card-templates/updateidcardtemplate.md): This method will update an existing id card template with the specified ID. ## Memberships Memberships ### Creates a new membership record that does not already exist. - [POST /memberships/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/createmembership.md): This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown. ### Activate membership - [POST /memberships/{tenantId}/activate/{application_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/activatemembership.md): Activate membership ### Execute Batch Operations - [POST /memberships/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Downloads a Certificate - [GET /memberships/{tenantId}/certificate/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/downloadcertificate.md): Returns the HTML for the certificate ### Returns a list of records with the specified chapter_id - [GET /memberships/{tenantId}/chapter/{chapter_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbychapterid.md): Returns a list of records with the specified chapter_id ### Gets a membership by contact - [GET /memberships/{tenantId}/contact/{contactId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipforcontact.md): Gets a membership by contact ### Given a set of expiration options, allows for the calculation of an expiration date - [POST /memberships/{tenantId}/expirationDateCalculation/{dateToUseAsBasisForCalculation}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/calculateexpirationdate.md): Given a set of expiration options, allows for the calculation of an expiration date ### Generates a PDF for the ID Card and returns the public link for download - [GET /memberships/{tenantId}/idCard/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/downloadidcard.md): Generates a PDF for the ID Card and returns the public link for download ### Generates snapshot lookback for a tenant - [POST /memberships/{tenantId}/initiateSnapshotLookback](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/initiatesnapshotlookback.md): Given a set of expiration options, allows for the calculation of an expiration date ### Returns a list of records with the specified order_id - [GET /memberships/{tenantId}/order/{order_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbyorderid.md): Returns a list of records with the specified order_id ### Gets a membership by organization - [GET /memberships/{tenantId}/organization/{organizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipfororganization.md): Gets a membership by organization ### Returns a list of records with the specified parent_membership_id - [GET /memberships/{tenantId}/parentMembership/{parent_membership_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbyparentmembershipid.md): Returns a list of records with the specified parent_membership_id ### Returns a membership from the system by its ID for a given contact. - [GET /memberships/{tenantId}/portal/contact/{portalContactId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembershipforportal.md): This method will look up a membership by the specified ID and return it back (for a portal contact) ### Sends out a preview of the CRC notification certificate - [POST /memberships/{tenantId}/previewCertificate](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewcertificate.md): Sends out a preview of the CRC notification certificate ### Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewEmail](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewemail.md): Sends out a preview of the CRC notification email ### Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewGroupApplicationEmail](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewgroupapplicationemail.md): Sends out a preview of the CRC notification email ### Sends out a preview of the CRC notification email - [POST /memberships/{tenantId}/previewIdCard/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/previewidcard.md): Sends out a preview of the CRC notification email ### Re-runs flowdown for all organizations in the system - [POST /memberships/{tenantId}/reprocessFlowDown](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/reprocessflowdown.md): Given a set of expiration options, allows for the calculation of an expiration date ### Searches for memberships using predefined parameters - [POST /memberships/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/searchformemberships.md): Searches for memberships using predefined parameters ### Returns a list of records with the specified section_id - [GET /memberships/{tenantId}/section/{section_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/listmembershipsbysectionid.md): Returns a list of records with the specified section_id ### Returns a membership from the system by its ID. - [DELETE /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/deletemembership.md): This method will delete a membership with the specified ID. ### Returns a membership from the system by its ID. - [GET /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/getmembership.md): This method will look up a membership by the specified ID and return it back. ### Partially updates a membership with the specified ID. - [PATCH /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/patchmembership.md): This method will patch an existing membership with the specified ID, using the HTTP PATCH specification. ### Updates a membership with the specified ID. - [PUT /memberships/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/memberships/updatemembership.md): This method will update an existing membership with the specified ID. ## Packages Packages ### Gets all of the packages in the system. - [GET /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/listpackages.md): This method will scan all packages and and return them to the caller. ### Creates a new package record that does not already exist. - [POST /packages/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/createpackage.md): This method will auto-generate an ID and create a new package. If an ID is specified for the package, an error will be thrown. ### Execute Batch Operations - [POST /packages/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Get Packages for Online Store - [POST /packages/{tenantId}/public/onlineStore](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/getpackagesforonlinestore.md): Public endpoint that gets packages for use in the online store ### Returns a package from the system by its ID. - [DELETE /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/deletepackage.md): This method will delete a package with the specified ID. ### Returns a package from the system by its ID. - [GET /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/getpackage.md): This method will look up a package by the specified ID and return it back. ### Partially updates a package with the specified ID. - [PATCH /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/patchpackage.md): This method will patch an existing package with the specified ID, using the HTTP PATCH specification. ### Updates a package with the specified ID. - [PUT /packages/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/packages/updatepackage.md): This method will update an existing package with the specified ID. ## Query Definitions Query Definitions ### Returns a list of records - [GET /queryDefinitions/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/query-definitions/getquerydefinitions.md): Returns a list of records ## Recurring Billing Runs Recurring Billing Runs ### Gets all of the recurring billing runs in the system. - [GET /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/listrecurringbillingruns.md): This method will scan all recurring billing runs and and return them to the caller. ### Creates a new recurring billing run record that does not already exist. - [POST /recurringBillingRuns/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/createrecurringbillingrun.md): This method will auto-generate an ID and create a new recurring billing run. If an ID is specified for the recurring billing run, an error will be thrown. ### Execute Batch Operations - [POST /recurringBillingRuns/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified template_id - [GET /recurringBillingRuns/{tenantId}/template/{template_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/listrunsbytemplateid.md): Returns a list of records with the specified template_id ### Returns a recurring billing run from the system by its ID. - [DELETE /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/deleterecurringbillingrun.md): This method will delete a recurring billing run with the specified ID. ### Returns a recurring billing run from the system by its ID. - [GET /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/getrecurringbillingrun.md): This method will look up a recurring billing run by the specified ID and return it back. ### Partially updates a recurring billing run with the specified ID. - [PATCH /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/patchrecurringbillingrun.md): This method will patch an existing recurring billing run with the specified ID, using the HTTP PATCH specification. ### Updates a recurring billing run with the specified ID. - [PUT /recurringBillingRuns/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/recurring-billing-runs/updaterecurringbillingrun.md): This method will update an existing recurring billing run with the specified ID. ## Section Dues Products Section Dues Products ### Gets all of the section dues products in the system. - [GET /sectionDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/listsectionduesproducts.md): This method will scan all section dues products and and return them to the caller. ### Creates a new section dues product record that does not already exist. - [POST /sectionDuesProducts/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/createsectionduesproduct.md): This method will auto-generate an ID and create a new section dues product. If an ID is specified for the section dues product, an error will be thrown. ### Execute Batch Operations - [POST /sectionDuesProducts/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of records with the specified section_id - [GET /sectionDuesProducts/{tenantId}/section/{section_id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/listproductsbysectionid.md): Returns a list of records with the specified section_id ### Returns a section dues product from the system by its ID. - [DELETE /sectionDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/deletesectionduesproduct.md): This method will delete a section dues product with the specified ID. ### Returns a section dues product from the system by its ID. - [GET /sectionDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/getsectionduesproduct.md): This method will look up a section dues product by the specified ID and return it back. ### Partially updates a section dues product with the specified ID. - [PATCH /sectionDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/patchsectionduesproduct.md): This method will patch an existing section dues product with the specified ID, using the HTTP PATCH specification. ### Updates a section dues product with the specified ID. - [PUT /sectionDuesProducts/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-dues-products/updatesectionduesproduct.md): This method will update an existing section dues product with the specified ID. ## Section Types Section Types ### Gets all of the section types in the system. - [GET /sectionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/listsectiontypes.md): This method will scan all section types and and return them to the caller. ### Creates a new section type record that does not already exist. - [POST /sectionTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/createsectiontype.md): This method will auto-generate an ID and create a new section type. If an ID is specified for the section type, an error will be thrown. ### Execute Batch Operations - [POST /sectionTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a section type from the system by its ID. - [DELETE /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/deletesectiontype.md): This method will delete a section type with the specified ID. ### Returns a section type from the system by its ID. - [GET /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/getsectiontype.md): This method will look up a section type by the specified ID and return it back. ### Partially updates a section type with the specified ID. - [PATCH /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/patchsectiontype.md): This method will patch an existing section type with the specified ID, using the HTTP PATCH specification. ### Updates a section type with the specified ID. - [PUT /sectionTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/section-types/updatesectiontype.md): This method will update an existing section type with the specified ID. ## Sections Sections ### Gets all of the sections in the system. - [GET /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/listsections.md): This method will scan all sections and and return them to the caller. ### Creates a new section record that does not already exist. - [POST /sections/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/createsection.md): This method will auto-generate an ID and create a new section. If an ID is specified for the section, an error will be thrown. ### Execute Batch Operations - [POST /sections/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a list of sections for a given membership package - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackage.md): Returns a list of sections for a given membership package ### Returns a list of sections for a given membership package - [GET /sections/{tenantId}/portal/describeSections/{membershipPackageId}/{memberType}/{contactOrOrganizationId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/describesectionsformembershippackageandmember.md): Returns a list of sections for a given membership package ### Searches for sections using predefined parameters - [POST /sections/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/searchforsections.md): Searches for sections using predefined parameters ### Returns a section from the system by its ID. - [DELETE /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/deletesection.md): This method will delete a section with the specified ID. ### Returns a section from the system by its ID. - [GET /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/getsection.md): This method will look up a section by the specified ID and return it back. ### Partially updates a section with the specified ID. - [PATCH /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/patchsection.md): This method will patch an existing section with the specified ID, using the HTTP PATCH specification. ### Updates a section with the specified ID. - [PUT /sections/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/sections/updatesection.md): This method will update an existing section with the specified ID. ## Settings Settings ### Returns a setting from the system by its ID. - [DELETE /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/settings/deletesetting.md): This method will delete a setting with the specified ID. ### Returns a setting from the system by its ID. - [GET /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/settings/getsetting.md): This method will look up a setting by the specified ID and return it back. ### Partially updates a setting with the specified ID. - [PATCH /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/settings/patchsetting.md): This method will patch an existing setting with the specified ID, using the HTTP PATCH specification. ### Creates a new setting record that does not already exist. - [POST /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/settings/createsetting.md): This method will auto-generate an ID and create a new setting. If an ID is specified for the setting, an error will be thrown. ### Updates a setting with the specified ID. - [PUT /settings/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/settings/updatesetting.md): This method will update an existing setting with the specified ID. ## Statistics Statistics ### Execute Batch Operations - [POST /statistics/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/statistics/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a statistic from the system by its ID. - [GET /statistics/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/statistics/getstatistic.md): This method will look up a statistic by the specified ID and return it back. ## Status Reasons Status Reasons ### Gets all of the status reasons in the system. - [GET /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/liststatusreasons.md): This method will scan all status reasons and and return them to the caller. ### Creates a new status reason record that does not already exist. - [POST /statusReasons/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/createstatusreason.md): This method will auto-generate an ID and create a new status reason. If an ID is specified for the status reason, an error will be thrown. ### Execute Batch Operations - [POST /statusReasons/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a status reason from the system by its ID. - [DELETE /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/deletestatusreason.md): This method will delete a status reason with the specified ID. ### Returns a status reason from the system by its ID. - [GET /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/getstatusreason.md): This method will look up a status reason by the specified ID and return it back. ### Partially updates a status reason with the specified ID. - [PATCH /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/patchstatusreason.md): This method will patch an existing status reason with the specified ID, using the HTTP PATCH specification. ### Updates a status reason with the specified ID. - [PUT /statusReasons/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/status-reasons/updatestatusreason.md): This method will update an existing status reason with the specified ID. ## Types Types ### Gets all of the types in the system. - [GET /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/listtypes.md): This method will scan all types and and return them to the caller. ### Creates a new type record that does not already exist. - [POST /types/{tenantId}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/createtype.md): This method will auto-generate an ID and create a new type. If an ID is specified for the type, an error will be thrown. ### Execute Batch Operations - [POST /types/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ### Returns a type from the system by its ID. - [DELETE /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/deletetype.md): This method will delete a type with the specified ID. ### Returns a type from the system by its ID. - [GET /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/gettype.md): This method will look up a type by the specified ID and return it back. ### Partially updates a type with the specified ID. - [PATCH /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/patchtype.md): This method will patch an existing type with the specified ID, using the HTTP PATCH specification. ### Updates a type with the specified ID. - [PUT /types/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/membership/membership-v1/types/updatetype.md): This method will update an existing type with the specified ID.